/* 
   Graphics library for GGI. Mode management.

   Copyright (C) 1997 Jason McMullan - jmcc@cs.cmu.edu

   If you do any modifications, I would like you to send diffs to me
   to allow for collecting a more and more complete set of drivers and
   to improve existing ones.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.
 
   You should have received a copy of the GNU Library General Public
   License along with this library; if not, write to the Free
   Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "internal.h"

int ggiSetGCForeground(ggi_visual *vis,ggi_uint color)
{
	if (vis==NULL || vis->gc==NULL)
		return -1;

	vis->gc->fg_color=color;
	vis->gc->version++;

	return EOK;
}

int ggiSetGCBackground(ggi_visual *vis,ggi_uint color)
{
	if (vis==NULL || vis->gc==NULL)
		return -1;

	vis->gc->bg_color=color;
	vis->gc->version++;

	return EOK;
}

int ggiGetGCForeground(ggi_visual *vis,ggi_uint *color)
{
	if (vis==NULL || vis->gc==NULL)
		return -1;

	*color=vis->gc->fg_color;
	return EOK;
}

int ggiGetGCBackground(ggi_visual *vis,ggi_uint *color)
{
	if (vis==NULL || vis->gc==NULL)
		return -1;

	*color=vis->gc->bg_color;
	return EOK;
}
